Automette docs

Classify

POST
/api/v1/documents/classify

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/classify" \  -H "Content-Type: application/json" \  -d '{    "content": "My order arrived broken and I need a replacement today",    "dimensions": [      {        "name": "urgency",        "categories": [          {            "name": "urgent"          },          {            "name": "normal"          }        ]      }    ]  }'
{  "result": {},  "reasons": {},  "credits_used": 0}